SoVertexAttributeBindingElement(3)

NAME
SoVertexAttributeBindingElement - The SoVertexAttributeBindingElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoVertexAttributeBindingElement.h>

Inherits SoInt32Element.

  Public Types
enum Binding { OVERALL = 0, PER_VERTEX = 3, PER_VERTEX_INDEXED = 4, DEFAULT = PER_VERTEX_INDEXED }

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const Binding binding)
FIXME: write doc.
static void set (SoState *const state, const Binding binding)
FIXME: write doc.
static Binding get (SoState *const state)
FIXME: write doc.
static Binding getDefault ()
FIXME: write doc.

  Protected Member Functions
virtual ~SoVertexAttributeBindingElement ()

  Additional Inherited Members

Detailed Description

The SoVertexAttributeBindingElement class is yet to be documented. FIXME: write doc.

Member Enumeration Documentation

  enum SoVertexAttributeBindingElement::Binding
FIXME: write doc.

Constructor & Destructor Documentation

  SoVertexAttributeBindingElement::~SoVertexAttributeBindingElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVertexAttributeBindingElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoVertexAttributeBindingElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoVertexAttributeBindingElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoVertexAttributeBindingElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoVertexAttributeBindingElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value for the VertexAttributeBinding is SoVertexAttributeBindingElement::DEFAULT.

Reimplemented from SoInt32Element.

Author

Generated automatically by Doxygen for Coin from the source code.